"Kudzu Ken 20200127 v2" by Frances Van Scoy


Book 2 - General Definitions

Use the serial comma.
Use American dialect.

When play begins:
	Say "This game is one square of a planned 64 square mildly educational game set in the expanded world of Lewis Carroll's [italic type] Through the Looking Glass[roman type].  The anticipated main audience is middle school girls. [paragraph break] [paragraph break]";
	Say "To the west you see a large brick wall with a wooden gate in it. You open the wooden gate and walk through it.  The gate closes behind you.";
	Now the likeability of the player is 2; [Likeability ranges from -5 to +5.]
	Now the left hand status line is "[player's surroundings]";
	Now the right hand status line is "Likeability: [likeability of the player]".

Part 3 - Properties of Things

A knapsack is a container.  A knapsack is wearable. 

Part 1 - Properties of Plants

A person can be known or unknown.

A plant is a kind of person.

A flower is a kind of plant. 

A daisy is a kind of flower.  

A tiger lily is a kind of flower. 

A weed is a kind of plant.

A kudzu_plant is a kind of weed.  The description of a kudzu_plant is "The kudzu seems to be growing as you look at it."
A kudzu_plant is either quiet or active.  A kudzu_plant is usually quiet.
A kudzu_plant is either angry or defeated.  A kudzu_plant is usually angry.
kudzu is a kudzu_plant.

A tree is a kind of plant.

A dogwood is a kind of tree. The description of a dogwood is "Next to the dogwood tree is a sign that says 'cornus florida.'"  

Part 2 - Properties of Player Character

The player has a number called the likeability.

A person is either hostile_to_kudzu or friendly_to_kudzu.
A person is usually friendly_to_kudzu.

The player is wearing a knapsack.  The description of the knapsack is "a canvas bag in which you store items you acquire."

A knife is in the knapsack.  The description of the knife is "a garden knife, suitable for cutting an ear of corn from a cornstalk, for example".

Part 3 - Properties of Non Player Characters

Chapter 1 - Guard Dog Wood (a dogwood tree)

Guard Dog Wood is a tree. The description of Guard Dog Wood is "Guard Dog Wood is an exceptionally large dogwood tree in the middle of the garden." 

Chapter 3 - Dayzee (a daisy)

Dayzee is a flower.  Dayzee is nowhere. 

Chapter 4 - Tigra (a tiger lily)

Tigra is a  flower. Tigra is nowhere.

Chapter 5 - Ken (a kudzu plant)

Ken is a kudzu_plant.  Ken is nowhere.  The printed name of Ken is "a large aggressive kudzu plant".

Part 4 - Facts

A fact is a kind of thing. A fact can be known or unknown. A fact is usually unknown.

Flowers can talk is a fact.

Part 6 - Actions

Understand the command "pick" as something new.
Understand the command "pick" as "take".

Understand "who" as whoing.
Whoing is an action applying to nothing.

Understand "tickle" as tickling.
Tickling is an action applying to nothing.

Understand "help" as helping.
Helping is an action applying to nothing.

Understand "what" as whating.
Whating is an action applying to nothing.

Book 3 - Scenes and Rooms

The player is in the Garden of Live Flowers.

Part 1 - The Scenes
		
Chapter 1 - Scene Main Garden

Main Garden is a scene.
Main Garden begins when play begins.

When Main Garden begins:
	if Guard Dog Wood is known:
		now Guard Dog Wood is in The Garden of Live Flowers;
	otherwise:
		now Guard Dog Wood is nowhere;
	if Tigra is known:
		now Tigra is in The Garden of Live Flowers;
	otherwise:
		now Tigra is nowhere;

Chapter 2 - Scene  Attack of the Creeper

Attack of the Creeper is a scene.

When Attack of the Creeper begins:
	say "You feel something moving on your leg.  You look and see that a tendril of a kudzu plant is growing rapidly and wrapping itself around your leg.  Almost immediately it reaches your body and begins wrapping itself around you.";	
	now Ken is in the Garden of Live Flowers.
	
Attack of the Creeper ends badly when Ken is active and Ken is angry.

When Attack of the Creeper ends badly:
	say "The kudzu lets out a horrifying scream, releases its grasp on you and grows to three times its previous size."
	
Attack of the Creeper ends well when  Ken is defeated.

When Attack of the Creeper ends well:
	Now Ken is in The Garden of Vegetables;
	Now Ken is quiet;
	say "The kudzu struggles for a moment, uproots itself, crawls across the garden, and slides under the gate leading into the Garden of Vegetables	."
		
Section 1 - CUTTING a weed

Instead of taking a weed when Attack of the Creeper is happening:
	say "You reach for the kudzu but it moves away from your hand."
	
Instead of cutting a weed when Attack of the Creeper is happening:
	if player is carrying a knife:
		say "You attempt to cut the kudzu with the knife.";
		now Ken is active;
		now Ken is angry;
	otherwise:
		say "You need to hold a knife in order to cut kudzu."

Section 2 - - TICKLING a weed

instead of tickling when Attack of the Creeper is happening:
	say "The kudzu shakes with laughtern so much that it releases his grip on you.";
	increase the  likeability of the player by 2;
	now Ken is active;
	now Ken is defeated;
	now Ken is in The Garden of Vegetables.


Section 3 - Asking for HELP

[Advice on persuasion isfrom Writin with Infrom, section 12.4 Persuasion, Infor 7 Build 6M62.]

Persuasion rule for asking someone to try helping during Attack of the Creeper:
	if the likeability of the player is greater than 0:
		Say "[the person asked] says to the kudzu, 'Let go of her right now!'";
		if the person asked is Guard Dog Wood:				
			Say "The kudzu releases you.";
			increase the  likeability of the player by 1;
			Now Ken is quiet;
			Now Ken is defeated;
			persuasion succeeds;
		otherwise:
			Say "The kudzu appears to stick out its tongue at [the person asked] and wraps his tendrils more tightly around you.";
			Now Ken is active;
			Now Ken is angry;
	otherwise:
		persuasion fails.

Part 2 - The Rooms

Chapter 1 - Outside the Garden

Outside the Garden is a room.  "To the west you see a large brick wall with a wooden gate in it."


Chapter 2 - The Garden of Live Flowers

The Garden of Live Flowers is a room.  The Garden of Live Flowers is west of Outside the Garden.  "You are in a large walled flower garden. In the center of the garden is a large dogwood tree.  Surrounding the dogwood are many flowers, including  daisies and tiger lilies.   There is also some  kudzu growing in the garden.   [paragraph break] The wooden gate in the brick wall on the east leads to the outside world.  There is no handle on the garden side of the door.  [paragraph break]   You hear a voice say, 'Welcome to the Garden of Live Flowers.'"

In The Garden of Live Flowers are some daisies.   The daisies are scenery.
In The Garden of Live Flowers are some tiger lilies.  The tiger lilies are scenery.

In the Garden of Live Flowers is some kudzu.  The kudzu is scenery.

In the Garden of Live Flowers is a dogwood.  The dogwood is scenery.



Section 1 - GOING east, south, west or north
		
instead of going east when the player is in the Garden of Live Flowers:
		say "The wooden gate in the brick wall leads to the outside world.  Unfortunately it only opens into the garden, and there is no handle on the garden side of the door." 
		
before going south:
	say "This garden gate leads to the Garden of Vegetables.  You enter the garden and look around.   [if Ken is in Garden of Vegetables]You notice some kudzu is growing in this garden.[end if]";
	continue the action.
		
instead of going west when the player is in the Garden of Live Flowers:
		say "That part of the world is still under construction."
		
instead of going north when the player is in the Garden of Live Flowers:
		say "That part of the world is still under construction."
	
Section 3 - PICKING flowers

Instead of taking a flower  for the first time: 
		decrease the  likeability of the player by 1;
		say "You think you hear  [the noun] screaming. Some nearby flowers shake, and you think you hear them saying something.  You hear a loud barking sound coming from the center of the garden.  You suddenly think that it might have been a bad idea to try to pick [the noun].";
			
Instead of taking a flower for the second time:
	decrease the  likeability of the player by 2;
	say "You are startled by a noise from the center of the garden and release [the noun] without picking it.  You look up and see what appears to be an extremely rapidly growing branch coming from the dogwood tree in the middle of the garden.  It stops growing just above your head and then bends down, lifts you from the ground, shakes you and then drops you back onto the garden path."
			
Instead of taking a flower for at least the third time:
	decrease the likeability of the player by 3;
	say "A large branch of the dogwood tree lifts you from the ground, extends itself over the brick wall, and drops you outside the garden.";
	move the player to Outside the Garden.

Instead of taking a kudzu for the first time:
	now the player is hostile_to_kudzu;
	say "You attempt to pick the kudzu.".
	
Attack of the Creeper begins when the player is hostile_to_kudzu.
	
Section 4 - SAYING SORRY

Instead of saying sorry for the first time:
	increase the likeability of the player by 1;
	say "You say, 'I'm awfully sorry!'".
	
Instead of saying sorry for at least the second time:
	say "Apologizing over and over won't change anything!"

Section 5 - WHOING (asking "who")

Instead of whoing when player is in The Garden of Live Flowers and Guard Dog Wood is unknown :
	say "'Who said that?' you ask. [paragraph break]'I did.  I am Guard Dog Wood.  I live in the Garden of Live Flowers and protect the plants in the garden.'";
	move Guard Dog Wood to the Garden of Live Flowers;
	now the printed name of Guard Dog Wood is "Guard Dog Wood";
	now Guard Dog Wood is known.

Instead of whoing when player is in The Garden of Live Flowers and Guard Dog Wood is known and flowers can talk is unknown  :
	say "'Who said that?' you ask. [paragraph break] 'I did.  My name's Tigra,' says a tall tiger lily as she bends gracefully towards you.  [paragraph break] 'I didn't know flowers could talk!' you say.  'I CAN talk,' says Tigra, 'when there's someone worth talking to.'  [paragraph break] 'We can ALL talk!' say several flowers simultaneously.'";
	move Tigra to the Garden of Live Flowers;
	now flowers can talk is known.
	

Section 7 - Recognizing speech that contains certain words

[The code in this section is based on Chapter 17 Understanding in Wriitng in  Inform in Build 6M62 of Inform 7 internal documentation. ]


After reading a command:
	if the player's command includes "beauty":
		say "You hear a voice saying 'Thank you!  We think the garden is a beautiful place to live.'";
		reject the player's command;
	if the player's command includes "beautiful":
		say "You hear a voice saying 'Thank you!  We think the garden is a beautiful place to live.'";
		reject the player's command;
	continue the action.

Chapter 4 - The Garden of Vegetables

The Garden of Vegetables is south from the Garden of Live Flowers.

Book 4 - Ending the game
		
check quitting the game:
	end the story;
	
When play ends:
	if the story has not ended finally:
		say "Thanks for playing!  For more information about the game, please send email to LookingGlass@juno.com"

Book 5 - Testing

test pick_plant with "who / examine / look / pick daisy / pick daisy / pick daisy / west / pick kudzu /  tickle "
